package com.inspect.ivs.vo;



import com.inspect.ivs.constant.SipAndIvsConvert;

import java.io.Serializable;


public class IvsPtzVo implements Serializable {
   private String serial;
   private String channel;
   private String code;
   private String command;
   private String speed;
   private String portraitspeed;
   private String cameraCode;
   private String controlCode;
   private String controlPara1 = "1";
   private String controlPara2 = "1";

   public void setCode(String code) {
      this.cameraCode = this.code = code;
   }

   public void setCommand(String command) {
      this.command = command;
      this.controlCode = (String) SipAndIvsConvert.map.get(command);
   }

   public void setSpeed(String speed) {
      this.controlPara2 = this.speed = speed;
   }

   public String getSerial() {
      return this.serial;
   }

   public String getChannel() {
      return this.channel;
   }

   public String getCode() {
      return this.code;
   }

   public String getCommand() {
      return this.command;
   }

   public String getSpeed() {
      return this.speed;
   }

   public String getPortraitspeed() {
      return this.portraitspeed;
   }

   public String getCameraCode() {
      return this.cameraCode;
   }

   public String getControlCode() {
      return this.controlCode;
   }

   public String getControlPara1() {
      return this.controlPara1;
   }

   public String getControlPara2() {
      return this.controlPara2;
   }

   public void setSerial(String serial) {
      this.serial = serial;
   }

   public void setChannel(String channel) {
      this.channel = channel;
   }

   public void setPortraitspeed(String portraitspeed) {
      this.portraitspeed = portraitspeed;
   }

   public void setCameraCode(String cameraCode) {
      this.cameraCode = cameraCode;
   }

   public void setControlCode(String controlCode) {
      this.controlCode = controlCode;
   }

   public void setControlPara1(String controlPara1) {
      this.controlPara1 = controlPara1;
   }

   public void setControlPara2(String controlPara2) {
      this.controlPara2 = controlPara2;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsPtzVo)) {
         return false;
      } else {
         IvsPtzVo other = (IvsPtzVo)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$serial = this.getSerial();
            Object other$serial = other.getSerial();
            if(this$serial == null) {
               if(other$serial != null) {
                  return false;
               }
            } else if(!this$serial.equals(other$serial)) {
               return false;
            }

            Object this$channel = this.getChannel();
            Object other$channel = other.getChannel();
            if(this$channel == null) {
               if(other$channel != null) {
                  return false;
               }
            } else if(!this$channel.equals(other$channel)) {
               return false;
            }

            Object this$code = this.getCode();
            Object other$code = other.getCode();
            if(this$code == null) {
               if(other$code != null) {
                  return false;
               }
            } else if(!this$code.equals(other$code)) {
               return false;
            }

            label110: {
               Object this$command = this.getCommand();
               Object other$command = other.getCommand();
               if(this$command == null) {
                  if(other$command == null) {
                     break label110;
                  }
               } else if(this$command.equals(other$command)) {
                  break label110;
               }

               return false;
            }

            label103: {
               Object this$speed = this.getSpeed();
               Object other$speed = other.getSpeed();
               if(this$speed == null) {
                  if(other$speed == null) {
                     break label103;
                  }
               } else if(this$speed.equals(other$speed)) {
                  break label103;
               }

               return false;
            }

            Object this$portraitspeed = this.getPortraitspeed();
            Object other$portraitspeed = other.getPortraitspeed();
            if(this$portraitspeed == null) {
               if(other$portraitspeed != null) {
                  return false;
               }
            } else if(!this$portraitspeed.equals(other$portraitspeed)) {
               return false;
            }

            label89: {
               Object this$cameraCode = this.getCameraCode();
               Object other$cameraCode = other.getCameraCode();
               if(this$cameraCode == null) {
                  if(other$cameraCode == null) {
                     break label89;
                  }
               } else if(this$cameraCode.equals(other$cameraCode)) {
                  break label89;
               }

               return false;
            }

            label82: {
               Object this$controlCode = this.getControlCode();
               Object other$controlCode = other.getControlCode();
               if(this$controlCode == null) {
                  if(other$controlCode == null) {
                     break label82;
                  }
               } else if(this$controlCode.equals(other$controlCode)) {
                  break label82;
               }

               return false;
            }

            Object this$controlPara1 = this.getControlPara1();
            Object other$controlPara1 = other.getControlPara1();
            if(this$controlPara1 == null) {
               if(other$controlPara1 != null) {
                  return false;
               }
            } else if(!this$controlPara1.equals(other$controlPara1)) {
               return false;
            }

            Object this$controlPara2 = this.getControlPara2();
            Object other$controlPara2 = other.getControlPara2();
            if(this$controlPara2 == null) {
               if(other$controlPara2 != null) {
                  return false;
               }
            } else if(!this$controlPara2.equals(other$controlPara2)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsPtzVo;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $serial = this.getSerial();
      result = result * 59 + ($serial == null?43:$serial.hashCode());
      Object $channel = this.getChannel();
      result = result * 59 + ($channel == null?43:$channel.hashCode());
      Object $code = this.getCode();
      result = result * 59 + ($code == null?43:$code.hashCode());
      Object $command = this.getCommand();
      result = result * 59 + ($command == null?43:$command.hashCode());
      Object $speed = this.getSpeed();
      result = result * 59 + ($speed == null?43:$speed.hashCode());
      Object $portraitspeed = this.getPortraitspeed();
      result = result * 59 + ($portraitspeed == null?43:$portraitspeed.hashCode());
      Object $cameraCode = this.getCameraCode();
      result = result * 59 + ($cameraCode == null?43:$cameraCode.hashCode());
      Object $controlCode = this.getControlCode();
      result = result * 59 + ($controlCode == null?43:$controlCode.hashCode());
      Object $controlPara1 = this.getControlPara1();
      result = result * 59 + ($controlPara1 == null?43:$controlPara1.hashCode());
      Object $controlPara2 = this.getControlPara2();
      result = result * 59 + ($controlPara2 == null?43:$controlPara2.hashCode());
      return result;
   }

   public String toString() {
      return "SipbPtzVo(serial=" + this.getSerial() + ", channel=" + this.getChannel() + ", code=" + this.getCode() + ", command=" + this.getCommand() + ", speed=" + this.getSpeed() + ", portraitspeed=" + this.getPortraitspeed() + ", cameraCode=" + this.getCameraCode() + ", controlCode=" + this.getControlCode() + ", controlPara1=" + this.getControlPara1() + ", controlPara2=" + this.getControlPara2() + ")";
   }
}
